
function mudfish_adclean_a6ad169a357c5379e78f2c4ee7fff93f() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`.row div[class^="widget-main-box"]:has(a[target="_blank"] img)`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_a6ad169a357c5379e78f2c4ee7fff93f();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_a6ad169a357c5379e78f2c4ee7fff93f();
  });
}
